Tpf.PersonaStore.remove_persona – folks-telepathy Reference Manual

# remove_persona

## Description:

public override async void remove_persona (Persona persona) throws PersonaStoreError

Remove a Persona from the PersonaStore.

See Folks.PersonaStore.remove_persona.

## Exceptions:

Folks.PersonaStoreError.UNSUPPORTED_ON_USER | if `persona` is the local user — removing the local user isn’t supported
Folks.PersonaStoreError.REMOVE_FAILED | if removing the contact failed